Package net.sf.saxon.tree.wrapper

## Class VirtualTreeInfo

- java.lang.Object
- - net.sf.saxon.om.GenericTreeInfo
  - - net.sf.saxon.tree.wrapper.VirtualTreeInfo

- All Implemented Interfaces:
    `javax.xml.transform.Source`, `TreeInfo`

      public class VirtualTreeInfo
      extends GenericTreeInfo

  Implementation of TreeInfo for a Virtual Copy tree

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.om.GenericTreeInfo

      `root`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VirtualTreeInfo​(Configuration config)` |
    `VirtualTreeInfo​(Configuration config, VirtualCopy vc)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getUnparsedEntity​(java.lang.String name)` | Get the unparsed entity with a given name
    `java.util.Iterator<java.lang.String>` | `getUnparsedEntityNames()` | Get the list of unparsed entities defined in this document
    `boolean` | `isCopyAccumulators()` |
    `void` | `setCopyAccumulators​(boolean copy)` |

    - ### Methods inherited from class net.sf.saxon.om.GenericTreeInfo

      `getConfiguration, getDocumentNumber, getPublicId, getRootNode, getSpaceStrippingRule, getSystemId, getUserData, isStreamed, selectID, setConfiguration, setDocumentNumber, setRootNode, setSpaceStrippingRule, setSystemId, setUserData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.xml.transform.Source

      `isEmpty`

    - ### Methods inherited from interface net.sf.saxon.om.TreeInfo

      `isMutable, isTyped`

- - ### Constructor Detail

    - #### VirtualTreeInfo

          public VirtualTreeInfo​(Configuration config)

    - #### VirtualTreeInfo

          public VirtualTreeInfo​(Configuration config,
                                 VirtualCopy vc)

  - ### Method Detail

    - #### setCopyAccumulators

          public void setCopyAccumulators​(boolean copy)

    - #### isCopyAccumulators

          public boolean isCopyAccumulators()

    - #### getUnparsedEntityNames

          public java.util.Iterator<java.lang.String> getUnparsedEntityNames()

      Get the list of unparsed entities defined in this document
      Specified by:
        `getUnparsedEntityNames` in interface `TreeInfo`
      Overrides:
        `getUnparsedEntityNames` in class `GenericTreeInfo`
      Returns:
        an Iterator, whose items are of type String, containing the names of all unparsed entities defined in this document. If there are no unparsed entities or if the information is not available then an empty iterator is returned
      Since:
        9.1

    - #### getUnparsedEntity

          public java.lang.String[] getUnparsedEntity​(java.lang.String name)

      Get the unparsed entity with a given name
      Specified by:
        `getUnparsedEntity` in interface `TreeInfo`
      Overrides:
        `getUnparsedEntity` in class `GenericTreeInfo`
      Parameters:
        `name` - the name of the entity
      Returns:
        if the entity exists, return an array of two Strings, the first holding the system ID of the entity (as an absolute URI if possible), the second holding the public ID if there is one, or null if not. If the entity does not exist, the method returns null. Applications should be written on the assumption that this array may be extended in the future to provide additional information.
      Since:
        8.4